## jammo 0.1.9

=== debian/changelog ===
jammo (0.1.9) unstable; urgency=low

  *  Fixed: typo in autobuilder install script

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sat, 10 Oct 2009 20:07:08 +0300

jammo (0.1.8) unstable; urgency=low

  *  Fixed: seg faults

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sat, 10 Oct 2009 18:07:08 +0300

jammo (0.1.7) unstable; urgency=low

  *  data and engine separated (jammo and jammo-data)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri, 09 Oct 2009 20:07:08 +0300

jammo (0.1.5) unstable; urgency=low

  *  Commandline handling + user/education


 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 07 Oct 2009 12:07:08 +0300

jammo (0.1.4) unstable; urgency=low

  *  Directory structure


 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 06 Oct 2009 14:40:08 +0300

jammo (0.1.3) unstable; urgency=low

  *  Fix: typos in autogen.sh


 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 05 Oct 2009 22:40:08 +0300

jammo (0.1.2) unstable; urgency=low

  *  Fix: installation of gst-plugins


 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 05 Oct 2009 11:40:08 +0300

jammo (0.1.1) unstable; urgency=low

  *  For autobuilder


 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 01 Oct 2009 11:40:08 +0300

jammo (0.1) unstable; urgency=low

  *  First version


 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 01 Oct 2009 11:40:08 +0300

jammo (0.001) unstable; urgency=low

  * Initial release


 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 01 Oct 2009 11:12:59 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: autogen.sh
	./autogen_autobuilder.sh

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	#autoreconf -f -i
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/jammo.sgml > jammo.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/jammo.
	$(MAKE) DESTDIR=$(CURDIR)/debian/jammo install
	install -d ${CURDIR}/debian/jammo/usr/lib/jammo
	install ${CURDIR}/usr/lib/jammo/*.so ${CURDIR}/debian/jammo/usr/lib/jammo
#	install ${CURDIR}/usr/bin/*.sh ${CURDIR}/debian/jammo/usr/bin/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## jammo 0.1.14

=== src/3rd_party/gnonlin/common/Makefile ===
# Makefile.in generated by automake 1.10.2 from Makefile.am.
# common/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/gnonlin
pkglibdir = $(libdir)/gnonlin
pkgincludedir = $(includedir)/gnonlin
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = armv5tel-unknown-linux-gnueabi
host_triplet = armv5tel-unknown-linux-gnueabi
subdir = common
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(srcdir)/shave-libtool.in $(srcdir)/shave.in ChangeLog
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/common/m4/as-ac-expand.m4 \
	$(top_srcdir)/common/m4/as-auto-alt.m4 \
	$(top_srcdir)/common/m4/as-compiler-flag.m4 \
	$(top_srcdir)/common/m4/as-docbook.m4 \
	$(top_srcdir)/common/m4/as-python.m4 \
	$(top_srcdir)/common/m4/as-scrub-include.m4 \
	$(top_srcdir)/common/m4/as-version.m4 \
	$(top_srcdir)/common/m4/check.m4 \
	$(top_srcdir)/common/m4/gst-args.m4 \
	$(top_srcdir)/common/m4/gst-check.m4 \
	$(top_srcdir)/common/m4/gst-default.m4 \
	$(top_srcdir)/common/m4/gst-doc.m4 \
	$(top_srcdir)/common/m4/gst-error.m4 \
	$(top_srcdir)/common/m4/gst-glib2.m4 \
	$(top_srcdir)/common/m4/gst-plugindir.m4 \
	$(top_srcdir)/common/m4/gst.m4 \
	$(top_srcdir)/common/m4/gtk-doc.m4 \
	$(top_srcdir)/common/m4/libtool.m4 \
	$(top_srcdir)/common/m4/ltoptions.m4 \
	$(top_srcdir)/common/m4/ltsugar.m4 \
	$(top_srcdir)/common/m4/ltversion.m4 \
	$(top_srcdir)/common/m4/lt~obsolete.m4 \
	$(top_srcdir)/common/m4/pkg.m4 \
	$(top_srcdir)/common/m4/shave.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} missing --run aclocal-1.10
ACLOCAL_AMFLAGS = -I m4 -I common/m4
AMTAR = ${SHELL} missing --run tar
AM_MAKEFLAGS = `test -z $V && echo -s`
AR = ar
AS = as
AUTOCONF = ${SHELL} missing --run autoconf
AUTOHEADER = ${SHELL} missing --run autoheader
AUTOMAKE = ${SHELL} missing --run automake-1.10
AWK = gawk
CAT_ENTRY_END = 
CAT_ENTRY_START = 
CC = /bin/sh common/shave cc gcc
CCASFLAGS = 
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CHECK_CFLAGS = 
CHECK_LIBS = 
CPP = gcc -E
CPPFLAGS = 
CXX = /bin/sh common/shave cxx 
CXXFLAGS = 
CYGPATH_W = echo
DEFAULT_AUDIOSINK = autoaudiosink
DEFAULT_AUDIOSRC = alsasrc
DEFAULT_VIDEOSINK = autovideosink
DEFAULT_VIDEOSRC = v4l2src
DEFAULT_VISUALIZER = goom
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DEPRECATED_CFLAGS = -DGST_DISABLE_DEPRECATED
DLLTOOL = dlltool
DOCBOOK_ROOT = 
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
ERROR_CFLAGS = -Wall -Wdeclaration-after-statement -Wpointer-arith -Werror -fno-strict-aliasing
EXEEXT = 
F77 = /bin/sh common/shave f77 
FC = /bin/sh common/shave fc 
FFLAGS = 
FGREP = /bin/grep -F
GCOV = 
GCOV_CFLAGS = 
GCOV_LIBS = 
GLIB_CFLAGS = -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include
GLIB_LIBS = -pthread -lgobject-2.0 -lgthread-2.0 -lrt -lgmodule-2.0 -ldl -lglib-2.0  
GLIB_PREFIX = /usr
GLIB_REQ = 2.6
GREP = /bin/grep
GSTPB_PLUGINS_DIR = /usr/lib/gstreamer-0.10
GSTPB_PREFIX = /usr
GST_ALL_LDFLAGS = -no-undefined
GST_BASE_CFLAGS = -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2  
GST_BASE_LIBS = -pthread -lgstbase-0.10 -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -ldl -lgthread-2.0 -lrt -lxml2 -lglib-2.0  
GST_CFLAGS = -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2   $(GST_OPTION_CFLAGS)
GST_CHECK_CFLAGS = 
GST_CHECK_LIBS = 
GST_LEVEL_DEFAULT = GST_LEVEL_ERROR
GST_LIBS = -pthread -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -ldl -lgthread-2.0 -lrt -lxml2 -lglib-2.0  
GST_LICENSE = LGPL
GST_MAJORMINOR = 0.10
GST_OPTION_CFLAGS = $(ERROR_CFLAGS) $(DEBUG_CFLAGS) $(PROFILE_CFLAGS) $(GCOV_CFLAGS) $(OPT_CFLAGS) $(DEPRECATED_CFLAGS)
GST_PACKAGE_NAME = GNonLin git/prerelease
GST_PACKAGE_ORIGIN = Unknown package origin
GST_PLUGINS_BASE_CFLAGS = -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2  
GST_PLUGINS_BASE_LIBS = -pthread -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -ldl -lgthread-2.0 -lrt -lxml2 -lglib-2.0  
GST_PLUGINS_DIR = /usr/lib/gstreamer-0.10
GST_PLUGIN_LDFLAGS = -module -avoid-version -export-symbols-regex '^_*gst_plugin_desc$$' -no-undefined
GST_PREFIX = /usr
GST_TOOLS_DIR = /usr/bin
GTKDOC_CHECK = 
HAVE_DOCBOOK2HTML = 
HAVE_DOCBOOK2PS = 
HAVE_DVIPS = 
HAVE_EPSTOPDF = 
HAVE_FIG2DEV = 
HAVE_JADETEX = 
HAVE_PNGTOPNM = 
HAVE_PNMTOPS = 
HAVE_PS2PDF = 
HAVE_XMLLINT = 
HTML_DIR = ${datadir}/gtk-doc/html
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = /bin/sh common/shave-libtool '$(SHELL) $(top_builddir)/libtool'
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEFLAGS = -s
MAKEINFO = ${SHELL} missing --run makeinfo
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJC = /bin/sh common/shave objc 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = gnonlin
PACKAGE_BUGREPORT = http://gnonlin.sourceforge.net/
PACKAGE_NAME = GNonLin
PACKAGE_STRING = GNonLin 0.10.11.2
PACKAGE_TARNAME = gnonlin
PACKAGE_VERSION = 0.10.11.2
PACKAGE_VERSION_MAJOR = 0
PACKAGE_VERSION_MICRO = 11
PACKAGE_VERSION_MINOR = 10
PACKAGE_VERSION_NANO = 2
PACKAGE_VERSION_RELEASE = 0.20090816.123608
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PLUGINDIR = /usr/local/lib/gstreamer-0.10
PROFILE_CFLAGS = -g
PYTHON = /usr/bin/python
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.5
Q = $(V:1=)
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
V = @
VALGRIND_CFLAGS = 
VALGRIND_LIBS = 
VALGRIND_PATH = no
VERSION = 0.10.11.2
XML_CATALOG = 
XSLTPROC = 
XSLTPROC_FLAGS = 
abs_builddir = common
abs_srcdir = common
abs_top_builddir = `pwd`
abs_top_srcdir = `pwd`
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = armv5tel-unknown-linux-gnueabi
build_alias = 
build_cpu = armv5tel
build_os = linux-gnueabi
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = $(datadir)/doc/gnonlin-0.10
dvidir = ${docdir}
exec_prefix = ${prefix}
host = armv5tel-unknown-linux-gnueabi
host_alias = 
host_cpu = armv5tel
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpyexecdir = ${pyexecdir}/gnonlin
pkgpythondir = ${pythondir}/gnonlin
plugindir = $(libdir)/gstreamer-0.10
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = ${exec_prefix}/lib/python2.5/site-packages
pythondir = ${prefix}/lib/python2.5/site-packages
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
shavedir = common
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
SUBDIRS = m4
CONFIG_CLEAN_FILES = shave shave-libtool
EXTRA_DIST = \
	ChangeLog \
	gettext.patch \
	glib-gen.mak gtk-doc.mak upload-doc.mak \
	release.mak win32.mak po.mak \
	gst-autogen.sh \
	check-exports \
	c-to-xml.py gst-xmlinspect.py mangle-tmpl.py scangobj-merge.py \
	gtk-doc-plugins.mak \
	plugins.xsl gstdoc-scangobj \
	gst.supp check.mak \
	coverage/lcov.mak \
	coverage/coverage-report.pl \
	coverage/coverage-report.xsl \
	coverage/coverage-report-entry.pl \
	download-translations \
        shave.in shave-libtool.in

all: all-recursive

.SUFFIXES:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  common/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  common/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
shave: $(top_builddir)/config.status $(srcdir)/shave.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
shave-libtool: $(top_builddir)/config.status $(srcdir)/shave-libtool.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \

## jammo 0.1.11

=== debian/changelog ===
jammo (0.1.11) unstable; urgency=low

  *  autobuilder issues again

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri, 16 Oct 2009 20:07:08 +0300

jammo (0.1.10) unstable; urgency=low

  *  data files are now in /opt

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 11 Oct 2009 20:07:08 +0300

=== debian/control ===
Source: jammo
Section: user/education
Priority: extra
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>= 5), libgtk2.0-dev,  libgstreamer0.10-dev, libclutter-0.8-dev, libclutter-gtk-0.8-dev
Standards-Version: 3.7.2

Package: jammo
Architecture: any
Depends: ${shlibs:Depends}, libgtk2.0-0, jammo-data
Description: JamMo is a mobile technological tool for music making for children aged 3-12 years.
 It contains composition game for young children and karaoke-like singing game.
 .
 This package contains program and plugins. Package jammo-data contains graphics and sounds.

## jammo 0.1.12

=== debian/changelog ===
jammo (0.1.12) unstable; urgency=low

  *  autobuilder issues again2

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri, 16 Oct 2009 21:07:08 +0300

## jammo 0.1.13

=== debian/changelog ===
jammo (0.1.13) unstable; urgency=low

  *  clutter-0.8->clutter-1.0

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 19 Oct 2009 21:07:08 +0300

## jammo 0.1.14

=== debian/changelog ===
jammo (0.1.14) unstable; urgency=low

  *  use /opt for reading and /tmp for writing

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 28 Oct 2009 21:07:08 +0300

=== debian/rules ===
--- 
+++ 
@@ -72,7 +72,7 @@
 	$(MAKE) DESTDIR=$(CURDIR)/debian/jammo install
 	install -d ${CURDIR}/debian/jammo/usr/lib/jammo
 	install ${CURDIR}/usr/lib/jammo/*.so ${CURDIR}/debian/jammo/usr/lib/jammo
-#	install ${CURDIR}/usr/bin/*.sh ${CURDIR}/debian/jammo/usr/bin/
+	install ${CURDIR}/usr/bin/*.sh ${CURDIR}/debian/jammo/usr/bin/
 
 # Build architecture-independent files here.
 binary-indep: build install

## jammo 0.1.15

=== debian/changelog ===
jammo (0.1.15) unstable; urgency=low

  *  fixed:debian/rules - autogen_autobuilder.sh

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 29 Oct 2009 10:07:08 +0300

=== debian/rules ===
--- 
+++ 
@@ -25,14 +25,21 @@
 endif
 
 configure: autogen.sh
-	./autogen_autobuilder.sh
+	touch NEWS README AUTHORS ChangeLog
+	aclocal
+	automake -ac
+	autoconf
+
 
 config.status: configure
 	dh_testdir
 	# Add here commands to configure the package.
-	#autoreconf -f -i
-	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
-
+	#autoreconf -f -ix86_64-linux-gnu
+ifeq "$(DEB_BUILD_GNU_TYPE)" "x86_64-linux-gnu"
+	./configure N900=yes --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
+else
+	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
+endif
 
 build: build-stamp
 
@@ -40,6 +47,15 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
+	cd src/meam/gst-jammo-plugins && ./compile_plugin.sh sampler
+	cd src/meam/gst-jammo-plugins && ./compile_plugin.sh slider
+	cd src/meam/gst-jammo-plugins && ./compile_plugin.sh pitchdetect
+
+
+	cd src/3rd_party/gnonlin && make clean && make
+
+	echo "GST_PLUGIN_PATH=/usr/lib/jammo/ jammo" > jammo.sh
+
 	$(MAKE)
 	#docbook-to-man debian/jammo.sgml > jammo.1
 
@@ -70,9 +86,17 @@
 
 	# Add here commands to install the package into debian/jammo.
 	$(MAKE) DESTDIR=$(CURDIR)/debian/jammo install
+	# Folders
 	install -d ${CURDIR}/debian/jammo/usr/lib/jammo
-	install ${CURDIR}/usr/lib/jammo/*.so ${CURDIR}/debian/jammo/usr/lib/jammo
-	install ${CURDIR}/usr/bin/*.sh ${CURDIR}/debian/jammo/usr/bin/
+	install -d ${CURDIR}/debian/jammo/usr/bin
+	# JamMo-gst-plugins
+	install ${CURDIR}/src/meam/gst-jammo-plugins/libs/*.so ${CURDIR}/debian/jammo/usr/lib/jammo
+
+	# gnonlin-plugins
+	install ${CURDIR}/src/3rd_party/gnonlin/gnl/.libs/libgnl.so ${CURDIR}/debian/jammo/usr/lib/jammo
+
+	# start script
+	install -m 0755 ${CURDIR}/jammo.sh ${CURDIR}/debian/jammo/usr/bin/
 
 # Build architecture-independent files here.
 binary-indep: build install

## jammo 0.1.16

=== debian/changelog ===
jammo (0.1.16) unstable; urgency=low

  *  autobuilder issue

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 29 Oct 2009 15:07:08 +0300

jammo (0.1.15-1) unstable; urgency=low

  *  fixed:debian/rules, now works with armel and 486

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 29 Oct 2009 14:07:08 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/education
 Priority: extra
 Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
-Build-Depends: debhelper (>= 5), libgtk2.0-dev,  libgstreamer0.10-dev, libclutter-0.8-dev, libclutter-gtk-0.8-dev
+Build-Depends: debhelper (>= 5), libgtk2.0-dev,  libgstreamer0.10-dev, libclutter-1.0-dev
 Standards-Version: 3.7.2
 
 Package: jammo

=== debian/rules ===
--- 
+++ 
@@ -34,8 +34,8 @@
 config.status: configure
 	dh_testdir
 	# Add here commands to configure the package.
-	#autoreconf -f -ix86_64-linux-gnu
-ifeq "$(DEB_BUILD_GNU_TYPE)" "x86_64-linux-gnu"
+	#autoreconf -f -i
+ifeq ($(DEB_BUILD_GNU_TYPE),arm-linux-gnueabi)
 	./configure N900=yes --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
 else
 	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"

## jammo 0.1.17

=== debian/changelog ===
jammo (0.1.17) unstable; urgency=low

  *  fixed: paths

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 29 Oct 2009 18:07:08 +0300

## jammo 0.1.18

=== debian/changelog ===
jammo (0.1.18) unstable; urgency=low

  *  fixed: all warnings

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 17 Nov 2009 18:07:08 +0300

=== debian/rules ===
--- 
+++ 
@@ -36,9 +36,9 @@
 	# Add here commands to configure the package.
 	#autoreconf -f -i
 ifeq ($(DEB_BUILD_GNU_TYPE),arm-linux-gnueabi)
-	./configure N900=yes --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
+	./configure N900=yes --prefix=/usr --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
 else
-	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
+	./configure --prefix=/usr --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
 endif
 
 build: build-stamp

## jammo 0.1.19

=== src/3rd_party/gnonlin/Makefile ===
# Makefile.in generated by automake 1.10.2 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# include this snippet to add a common release: target by using
# include $(top_srcdir)/common/release.mak

pkgdatadir = $(datadir)/gnonlin
pkglibdir = $(libdir)/gnonlin
pkgincludedir = $(includedir)/gnonlin
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = armv5tel-unknown-linux-gnueabi
host_triplet = armv5tel-unknown-linux-gnueabi
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
	$(srcdir)/gnonlin.spec.in $(top_srcdir)/common/po.mak \
	$(top_srcdir)/common/release.mak $(top_srcdir)/configure \
	AUTHORS COPYING COPYING.LIB ChangeLog INSTALL NEWS compile \
	config.guess config.sub depcomp install-sh ltmain.sh missing
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/common/m4/as-ac-expand.m4 \
	$(top_srcdir)/common/m4/as-auto-alt.m4 \
	$(top_srcdir)/common/m4/as-compiler-flag.m4 \
	$(top_srcdir)/common/m4/as-docbook.m4 \
	$(top_srcdir)/common/m4/as-python.m4 \
	$(top_srcdir)/common/m4/as-scrub-include.m4 \
	$(top_srcdir)/common/m4/as-version.m4 \
	$(top_srcdir)/common/m4/check.m4 \
	$(top_srcdir)/common/m4/gst-args.m4 \
	$(top_srcdir)/common/m4/gst-check.m4 \
	$(top_srcdir)/common/m4/gst-default.m4 \
	$(top_srcdir)/common/m4/gst-doc.m4 \
	$(top_srcdir)/common/m4/gst-error.m4 \
	$(top_srcdir)/common/m4/gst-glib2.m4 \
	$(top_srcdir)/common/m4/gst-plugindir.m4 \
	$(top_srcdir)/common/m4/gst.m4 \
	$(top_srcdir)/common/m4/gtk-doc.m4 \
	$(top_srcdir)/common/m4/libtool.m4 \
	$(top_srcdir)/common/m4/ltoptions.m4 \
	$(top_srcdir)/common/m4/ltsugar.m4 \
	$(top_srcdir)/common/m4/ltversion.m4 \
	$(top_srcdir)/common/m4/lt~obsolete.m4 \
	$(top_srcdir)/common/m4/pkg.m4 \
	$(top_srcdir)/common/m4/shave.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = gnonlin.spec
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }
DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} missing --run aclocal-1.10
ACLOCAL_AMFLAGS = -I common/m4 -I m4
AMTAR = ${SHELL} missing --run tar
AM_MAKEFLAGS = `test -z $V && echo -s`
AR = ar
AS = as
AUTOCONF = ${SHELL} missing --run autoconf
AUTOHEADER = ${SHELL} missing --run autoheader
AUTOMAKE = ${SHELL} missing --run automake-1.10
AWK = gawk
CAT_ENTRY_END = 
CAT_ENTRY_START = 
CC = /bin/sh common/shave cc gcc
CCASFLAGS = 
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CHECK_CFLAGS = 
CHECK_LIBS = 
CPP = gcc -E
CPPFLAGS = 
CXX = /bin/sh common/shave cxx 
CXXFLAGS = 
CYGPATH_W = echo
DEFAULT_AUDIOSINK = autoaudiosink
DEFAULT_AUDIOSRC = alsasrc
DEFAULT_VIDEOSINK = autovideosink
DEFAULT_VIDEOSRC = v4l2src
DEFAULT_VISUALIZER = goom
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DEPRECATED_CFLAGS = -DGST_DISABLE_DEPRECATED
DLLTOOL = dlltool
DOCBOOK_ROOT = 
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
ERROR_CFLAGS = -Wall -Wdeclaration-after-statement -Wpointer-arith -Werror -fno-strict-aliasing
EXEEXT = 
F77 = /bin/sh common/shave f77 
FC = /bin/sh common/shave fc 
FFLAGS = 
FGREP = /bin/grep -F
GCOV = 
GCOV_CFLAGS = 
GCOV_LIBS = 
GLIB_CFLAGS = -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include
GLIB_LIBS = -pthread -lgobject-2.0 -lgthread-2.0 -lrt -lgmodule-2.0 -ldl -lglib-2.0  
GLIB_PREFIX = /usr
GLIB_REQ = 2.6
GREP = /bin/grep
GSTPB_PLUGINS_DIR = /usr/lib/gstreamer-0.10
GSTPB_PREFIX = /usr
GST_ALL_LDFLAGS = -no-undefined
GST_BASE_CFLAGS = -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2  
GST_BASE_LIBS = -pthread -lgstbase-0.10 -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -ldl -lgthread-2.0 -lrt -lxml2 -lglib-2.0  
GST_CFLAGS = -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2   $(GST_OPTION_CFLAGS)
GST_CHECK_CFLAGS = 
GST_CHECK_LIBS = 
GST_LEVEL_DEFAULT = GST_LEVEL_ERROR
GST_LIBS = -pthread -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -ldl -lgthread-2.0 -lrt -lxml2 -lglib-2.0  
GST_LICENSE = LGPL
GST_MAJORMINOR = 0.10
GST_OPTION_CFLAGS = $(ERROR_CFLAGS) $(DEBUG_CFLAGS) $(PROFILE_CFLAGS) $(GCOV_CFLAGS) $(OPT_CFLAGS) $(DEPRECATED_CFLAGS)
GST_PACKAGE_NAME = GNonLin git/prerelease
GST_PACKAGE_ORIGIN = Unknown package origin
GST_PLUGINS_BASE_CFLAGS = -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2  
GST_PLUGINS_BASE_LIBS = -pthread -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -ldl -lgthread-2.0 -lrt -lxml2 -lglib-2.0  
GST_PLUGINS_DIR = /usr/lib/gstreamer-0.10
GST_PLUGIN_LDFLAGS = -module -avoid-version -export-symbols-regex '^_*gst_plugin_desc$$' -no-undefined
GST_PREFIX = /usr
GST_TOOLS_DIR = /usr/bin
GTKDOC_CHECK = 
HAVE_DOCBOOK2HTML = 
HAVE_DOCBOOK2PS = 
HAVE_DVIPS = 
HAVE_EPSTOPDF = 
HAVE_FIG2DEV = 
HAVE_JADETEX = 
HAVE_PNGTOPNM = 
HAVE_PNMTOPS = 
HAVE_PS2PDF = 
HAVE_XMLLINT = 
HTML_DIR = ${datadir}/gtk-doc/html
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = /bin/sh common/shave-libtool '$(SHELL) $(top_builddir)/libtool'
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEFLAGS = -s
MAKEINFO = ${SHELL} missing --run makeinfo
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJC = /bin/sh common/shave objc 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = gnonlin
PACKAGE_BUGREPORT = http://gnonlin.sourceforge.net/
PACKAGE_NAME = GNonLin
PACKAGE_STRING = GNonLin 0.10.11.2
PACKAGE_TARNAME = gnonlin
PACKAGE_VERSION = 0.10.11.2
PACKAGE_VERSION_MAJOR = 0
PACKAGE_VERSION_MICRO = 11
PACKAGE_VERSION_MINOR = 10
PACKAGE_VERSION_NANO = 2
PACKAGE_VERSION_RELEASE = 0.20090816.123608
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PLUGINDIR = /usr/local/lib/gstreamer-0.10
PROFILE_CFLAGS = -g
PYTHON = /usr/bin/python
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.5
Q = $(V:1=)
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
V = @
VALGRIND_CFLAGS = 
VALGRIND_LIBS = 
VALGRIND_PATH = no
VERSION = 0.10.11.2
XML_CATALOG = 
XSLTPROC = 
XSLTPROC_FLAGS = 
abs_builddir = `pwd`
abs_srcdir = `pwd`
abs_top_builddir = `pwd`
abs_top_srcdir = `pwd`
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = armv5tel-unknown-linux-gnueabi
build_alias = 
build_cpu = armv5tel
build_os = linux-gnueabi
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = $(datadir)/doc/gnonlin-0.10
dvidir = ${docdir}
exec_prefix = ${prefix}
host = armv5tel-unknown-linux-gnueabi
host_alias = 
host_cpu = armv5tel
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpyexecdir = ${pyexecdir}/gnonlin
pkgpythondir = ${pythondir}/gnonlin
plugindir = $(libdir)/gstreamer-0.10
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = ${exec_prefix}/lib/python2.5/site-packages
pythondir = ${prefix}/lib/python2.5/site-packages
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
shavedir = common
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = 
top_builddir = .
top_srcdir = .
DISTCHECK_CONFIGURE_FLAGS = --enable-gtk-doc
SUBDIRS = \
	gnl

DIST_SUBDIRS = $(SUBDIRS)
EXTRA_DIST = \
	gnonlin.spec depcomp \
	AUTHORS COPYING NEWS README RELEASE REQUIREMENTS \
	ChangeLog autogen.sh

DISTCLEANFILES = _stdint.h

# make bz2 as well
AUTOMAKE_OPTIONS = dist-bzip2
all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

.SUFFIXES:
am--refresh:
	@:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am $(top_srcdir)/common/release.mak $(top_srcdir)/common/po.mak $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
	      cd $(srcdir) && $(AUTOMAKE) --gnu  \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)

config.h: stamp-h1
	@if test ! -f $@; then \
	  rm -f stamp-h1; \
	  $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
	else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status config.h
$(srcdir)/config.h.in: # $(am__configure_deps) 
	cd $(top_srcdir) && $(AUTOHEADER)
	rm -f stamp-h1
	touch $@

distclean-hdr:
	-rm -f config.h stamp-h1
gnonlin.spec: $(top_builddir)/config.status $(srcdir)/gnonlin.spec.in
	cd $(top_builddir) && $(SHELL) ./config.status $@

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool config.lt

# This directory's subdirectories are mostly independent; you can cd

=== debian/changelog ===
jammo (0.1.19) unstable; urgency=low

  *  preloader added, behaviours disabled

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 9 Dec 2009 20:07:08 +0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: jammo
 Architecture: any
-Depends: ${shlibs:Depends}, libgtk2.0-0, jammo-data
+Depends: ${shlibs:Depends}, libgtk2.0-0, gstreamer0.10-ogg, ogg-support, jammo-data
 Description: JamMo is a mobile technological tool for music making for children aged 3-12 years.
  It contains composition game for young children and karaoke-like singing game.
  .

=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,7 @@
 
 	cd src/3rd_party/gnonlin && make clean && make
 
-	echo "GST_PLUGIN_PATH=/usr/lib/jammo/ jammo" > jammo.sh
+	echo "GST_PLUGIN_PATH=/usr/lib/jammo/ jammo \$@" > jammo.sh
 
 	$(MAKE)
 	#docbook-to-man debian/jammo.sgml > jammo.1

## jammo 0.1.20

=== debian/changelog ===
jammo (0.1.20) unstable; urgency=low

  *  removed: gnonlin-plugin is now own package

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 15 Dec 2009 18:07:08 +0300

## jammo 0.1.21

=== debian/changelog ===
jammo (0.1.21) unstable; urgency=low

  *  Added: set of new graphics

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 31 Jan 2010 18:07:08 +0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: jammo
 Architecture: any
-Depends: ${shlibs:Depends}, libgtk2.0-0, gstreamer0.10-ogg, ogg-support, jammo-data
+Depends: ${shlibs:Depends}, libgtk2.0-0, gstreamer0.10-ogg, ogg-support, jammo-data, gstreamer0.10-gnonlin
 Description: JamMo is a mobile technological tool for music making for children aged 3-12 years.
  It contains composition game for young children and karaoke-like singing game.
  .

## jammo 0.1.22

=== debian/changelog ===
jammo (0.1.22) unstable; urgency=low

  *  Fixed: Bad memory leak. 'Works' on N900.

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 04 Feb 2010 23:22:08 +0300

=== debian/rules ===
--- 
+++ 
@@ -51,9 +51,6 @@
 	cd src/meam/gst-jammo-plugins && ./compile_plugin.sh slider
 	cd src/meam/gst-jammo-plugins && ./compile_plugin.sh pitchdetect
 
-
-	cd src/3rd_party/gnonlin && make clean && make
-
 	echo "GST_PLUGIN_PATH=/usr/lib/jammo/ jammo \$@" > jammo.sh
 
 	$(MAKE)
@@ -91,9 +88,6 @@
 	install -d ${CURDIR}/debian/jammo/usr/bin
 	# JamMo-gst-plugins
 	install ${CURDIR}/src/meam/gst-jammo-plugins/libs/*.so ${CURDIR}/debian/jammo/usr/lib/jammo
-
-	# gnonlin-plugins
-	install ${CURDIR}/src/3rd_party/gnonlin/gnl/.libs/libgnl.so ${CURDIR}/debian/jammo/usr/lib/jammo
 
 	# start script
 	install -m 0755 ${CURDIR}/jammo.sh ${CURDIR}/debian/jammo/usr/bin/

## jammo 0.1.23

=== debian/changelog ===
jammo (0.1.23) unstable; urgency=low

  *  Fixed: Dependencies for jammo-data 

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri, 05 Feb 2010 08:22:08 +0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: jammo
 Architecture: any
-Depends: ${shlibs:Depends}, libgtk2.0-0, gstreamer0.10-ogg, ogg-support, jammo-data, gstreamer0.10-gnonlin
+Depends: ${shlibs:Depends}, libgtk2.0-0, gstreamer0.10-ogg, ogg-support, jammo-data (=0.1.8), gstreamer0.10-gnonlin
 Description: JamMo is a mobile technological tool for music making for children aged 3-12 years.
  It contains composition game for young children and karaoke-like singing game.
  .

## jammo 0.1.24

=== debian/changelog ===
jammo (0.1.24) unstable; urgency=low

  *  Added: Using Tangle (v0.1)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 15 Feb 2010 22:44:08 +0300

=== debian/control ===
Source: jammo
Section: user/education
Priority: extra
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>= 5), libgtk2.0-dev,  libgstreamer0.10-dev, libclutter-1.0-dev, libtangle-0-dev, gtk-doc-tools
Standards-Version: 3.7.2

Package: jammo
Architecture: any
Depends: ${shlibs:Depends}, libgtk2.0-0, gstreamer0.10-ogg, ogg-support, jammo-data (=0.1.9), gstreamer0.10-gnonlin, libtangle-0
Description: JamMo is a mobile technological tool for music making for children aged 3-12 years.
 It contains composition game for young children and karaoke-like singing game.
 .
 This package contains program and plugins. Package jammo-data contains graphics and sounds.

=== debian/rules ===
--- 
+++ 
@@ -47,11 +47,6 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	cd src/meam/gst-jammo-plugins && ./compile_plugin.sh sampler
-	cd src/meam/gst-jammo-plugins && ./compile_plugin.sh slider
-	cd src/meam/gst-jammo-plugins && ./compile_plugin.sh pitchdetect
-
-	echo "GST_PLUGIN_PATH=/usr/lib/jammo/ jammo \$@" > jammo.sh
 
 	$(MAKE)
 	#docbook-to-man debian/jammo.sgml > jammo.1
@@ -83,14 +78,6 @@
 
 	# Add here commands to install the package into debian/jammo.
 	$(MAKE) DESTDIR=$(CURDIR)/debian/jammo install
-	# Folders
-	install -d ${CURDIR}/debian/jammo/usr/lib/jammo
-	install -d ${CURDIR}/debian/jammo/usr/bin
-	# JamMo-gst-plugins
-	install ${CURDIR}/src/meam/gst-jammo-plugins/libs/*.so ${CURDIR}/debian/jammo/usr/lib/jammo
-
-	# start script
-	install -m 0755 ${CURDIR}/jammo.sh ${CURDIR}/debian/jammo/usr/bin/
 
 # Build architecture-independent files here.
 binary-indep: build install

## jammo 0.1.25

=== debian/changelog ===
jammo (0.1.25) unstable; urgency=low

  *  Fixed: desktopfile fixed

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 16 Feb 2010 15:04:08 +0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: jammo
 Architecture: any
-Depends: ${shlibs:Depends}, libgtk2.0-0, gstreamer0.10-ogg, ogg-support, jammo-data (=0.1.9), gstreamer0.10-gnonlin, libtangle-0
+Depends: ${shlibs:Depends}, libgtk2.0-0, gstreamer0.10-ogg, ogg-support, jammo-data (=0.1.10), gstreamer0.10-gnonlin, libtangle-0
 Description: JamMo is a mobile technological tool for music making for children aged 3-12 years.
  It contains composition game for young children and karaoke-like singing game.
  .

## jammo 0.1.26

=== debian/changelog ===
jammo (0.1.26) unstable; urgency=low

  *  Only singingame, but using Tangle.

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 22 Feb 2010 02:56:08 +0300

=== debian/rules ===
--- 
+++ 
@@ -47,6 +47,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
+	echo "cd /opt/jammo ; ./jammo" > jammo.sh
 
 	$(MAKE)
 	#docbook-to-man debian/jammo.sgml > jammo.1
@@ -78,6 +79,20 @@
 
 	# Add here commands to install the package into debian/jammo.
 	$(MAKE) DESTDIR=$(CURDIR)/debian/jammo install
+	# Folders
+	install -d ${CURDIR}/debian/jammo/opt/jammo
+	install -d ${CURDIR}/debian/jammo/opt/jammo/draft
+	install -d ${CURDIR}/debian/jammo/usr/bin
+	
+	# Data files
+	install ${CURDIR}/src/chum/*.json ${CURDIR}/debian/jammo/opt/jammo
+	install ${CURDIR}/src/chum/draft/*.json ${CURDIR}/debian/jammo/opt/jammo/draft
+	
+	#Binary to opt
+	install ${CURDIR}/jammo ${CURDIR}/debian/jammo/opt/jammo/
+
+	# start script
+	install -m 0755 ${CURDIR}/jammo.sh ${CURDIR}/debian/jammo/usr/bin/jammo
 
 # Build architecture-independent files here.
 binary-indep: build install

## jammo 0.1.27

=== debian/changelog ===
jammo (0.1.27) unstable; urgency=low

  *  TangleFix

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 22 Feb 2010 04:16:08 +0300

=== debian/rules ===
--- 
+++ 
@@ -83,16 +83,20 @@
 	install -d ${CURDIR}/debian/jammo/opt/jammo
 	install -d ${CURDIR}/debian/jammo/opt/jammo/draft
 	install -d ${CURDIR}/debian/jammo/usr/bin
+	install -d ${CURDIR}/debian/jammo/usr/lib
 	
 	# Data files
 	install ${CURDIR}/src/chum/*.json ${CURDIR}/debian/jammo/opt/jammo
 	install ${CURDIR}/src/chum/draft/*.json ${CURDIR}/debian/jammo/opt/jammo/draft
-	
+
+	#Temporarily fix.	
+	install ${CURDIR}/libtangle.so.0.0.0 ${CURDIR}/debian/jammo/usr/lib
+
 	#Binary to opt
 	install ${CURDIR}/jammo ${CURDIR}/debian/jammo/opt/jammo/
 
 	# start script
-	install -m 0755 ${CURDIR}/jammo.sh ${CURDIR}/debian/jammo/usr/bin/jammo
+	install -m 0755 ${CURDIR}/jammo.sh ${CURDIR}/debian/jammo/usr/bin/jammo.sh
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -118,7 +122,7 @@
 #	dh_installinfo
 	dh_installman
 	dh_link
-	dh_strip
+#	dh_strip
 	dh_compress
 	dh_fixperms
 #	dh_perl

## jammo 0.1.28

=== debian/changelog ===
jammo (0.1.28) unstable; urgency=low

  *  TangleFix2

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 22 Feb 2010 04:36:08 +0300

=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	echo "cd /opt/jammo ; ./jammo" > jammo.sh
+	echo "cd /opt/jammo ; LD_LIBRARY_PATH=/opt/jammo/ /opt/jammo/jammo" > jammo.sh
 
 	$(MAKE)
 	#docbook-to-man debian/jammo.sgml > jammo.1
@@ -83,14 +83,13 @@
 	install -d ${CURDIR}/debian/jammo/opt/jammo
 	install -d ${CURDIR}/debian/jammo/opt/jammo/draft
 	install -d ${CURDIR}/debian/jammo/usr/bin
-	install -d ${CURDIR}/debian/jammo/usr/lib
 	
 	# Data files
 	install ${CURDIR}/src/chum/*.json ${CURDIR}/debian/jammo/opt/jammo
 	install ${CURDIR}/src/chum/draft/*.json ${CURDIR}/debian/jammo/opt/jammo/draft
 
 	#Temporarily fix.	
-	install ${CURDIR}/libtangle.so.0.0.0 ${CURDIR}/debian/jammo/usr/lib
+	install ${CURDIR}/libtangle.so.0.0.0 ${CURDIR}/debian/jammo/opt/jammo
 
 	#Binary to opt
 	install ${CURDIR}/jammo ${CURDIR}/debian/jammo/opt/jammo/

## jammo 0.1.29

=== debian/changelog ===
jammo (0.1.29) unstable; urgency=low

  *  TangleFix3

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 22 Feb 2010 04:49:08 +0300

## jammo 0.1.30

=== debian/changelog ===
jammo (0.1.30) unstable; urgency=low

  *  Disabled: melodic contour

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 22 Feb 2010 05:54:08 +0300

=== debian/control ===
Source: jammo
Section: user/education
Priority: extra
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>= 5), libgtk2.0-dev,  libgstreamer0.10-dev, libclutter-1.0-dev, libtangle-0-dev, gtk-doc-tools, libosso-dev
Standards-Version: 3.7.2

Package: jammo
Architecture: any
Depends: ${shlibs:Depends}, libgtk2.0-0, gstreamer0.10-ogg, ogg-support, jammo-data (=0.1.11), gstreamer0.10-gnonlin, libtangle-0 (=0.0.20100221)
Description: JamMo is a mobile technological tool for music making for children aged 3-12 years.
 It contains composition game for young children and karaoke-like singing game.
 .
 This package contains program and plugins. Package jammo-data contains graphics and sounds.

=== debian/rules ===
--- 
+++ 
@@ -89,7 +89,7 @@
 	install ${CURDIR}/src/chum/draft/*.json ${CURDIR}/debian/jammo/opt/jammo/draft
 
 	#Temporarily fix.	
-	install ${CURDIR}/libtangle.so.0.0.0 ${CURDIR}/debian/jammo/opt/jammo
+	install ${CURDIR}/libtangle.so.0 ${CURDIR}/debian/jammo/opt/jammo
 
 	#Binary to opt
 	install ${CURDIR}/jammo ${CURDIR}/debian/jammo/opt/jammo/

## jammo 0.1.31

=== debian/changelog ===
jammo (0.1.31) unstable; urgency=low

  *  Fixed: new dependencies

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 22 Feb 2010 14:17:08 +0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: jammo
 Architecture: any
-Depends: ${shlibs:Depends}, libgtk2.0-0, gstreamer0.10-ogg, ogg-support, jammo-data (=0.1.11), gstreamer0.10-gnonlin, libtangle-0 (=0.0.20100221)
+Depends: ${shlibs:Depends}, libgtk2.0-0, gstreamer0.10-ogg, ogg-support, jammo-data (=0.1.12), gstreamer0.10-gnonlin, libtangle-0 (=0.0.20100222)
 Description: JamMo is a mobile technological tool for music making for children aged 3-12 years.
  It contains composition game for young children and karaoke-like singing game.
  .

## jammo 0.1.32

=== debian/changelog ===
jammo (0.1.32) unstable; urgency=low

  * Added. more mentor

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 23 Feb 2010 23:17:08 +0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: jammo
 Architecture: any
-Depends: ${shlibs:Depends}, libgtk2.0-0, gstreamer0.10-ogg, ogg-support, jammo-data (=0.1.12), gstreamer0.10-gnonlin, libtangle-0 (=0.0.20100222)
+Depends: ${shlibs:Depends}, libgtk2.0-0, gstreamer0.10-ogg, ogg-support, jammo-data (=0.1.13), gstreamer0.10-gnonlin, libtangle-0 (=0.0.20100223)
 Description: JamMo is a mobile technological tool for music making for children aged 3-12 years.
  It contains composition game for young children and karaoke-like singing game.
  .
